﻿/*
// Реализация алгоритма последовательной сортировки 
// массива "пузырьком" 
//
// API
// int SerialBubbleSort(double* pData, const int Size);
//
//  Input:
//
//     +  double* pData - исходный массив;
//     +  const int Size - размер массива;
//
//  Output:
//
//     +  double* pData - массив, отсортированный в порядке возрастания;
//
//  Result:
//     + функция возвращает значение типа int - код завершения функции.
*/

int SerialBubbleSort(double* pData, const int Size)
{
  double temp;
  int i, j;
  int f = 0;
  assert(pData);
  assert(Size>0);
  for (i=0; (i<Size-1) && (f==0); i++) 
  {
    f = 1;
    for (j=0; j<Size-1-i; j++)
    {
      // переставление элементов местами
      if ( pData[j] > pData[j+1] ) 
      {
        f=0;
        temp = pData[j];
        pData[j] = pData[j+1];
        pData[j+1] = temp;
      }
    }//for (int j=0; j<Size-1-i; j++)
  }//for (int i=0; i<Size-1; i++) 
  return 0;
}